Can not migrate from 5.8 to 6.0

Hi,

I’m trying to migrate from 5.8 to 6.0 and followed the guide [0].

When I try to create an invoice I receive the follow error:

Traceback (most recent call last):
  File "/opt/api50/lib/python37/site-packages/trytond/wsgipy", line 117, in dispatch_request
    return endpoint(request, **requestview_args)
  File "/opt/api50/lib/python37/site-packages/trytond/protocols/dispatcherpy", line 48, in rpc
    request, database_name, *requestrpc_params)
  File "/opt/api50/lib/python37/site-packages/trytond/wsgipy", line 84, in auth_required
    return wrapped(*args, **kwargs)
  File "/opt/api50/lib/python37/site-packages/trytond/protocols/wrapperspy", line 159, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/opt/api50/lib/python37/site-packages/trytond/protocols/dispatcherpy", line 181, in _dispatch
    result = rpcresult(meth(*c_args, **c_kwargs))
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 380, in fields_view_get
    tree, result['type'], result['field_childs'], level=level)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 519, in parse_view
    tree_root, type, fields_width=fields_width)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 722, in __parse_fields
    _fields_attrs=fields_attrs)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 722, in __parse_fields
    _fields_attrs=fields_attrs)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 722, in __parse_fields
    _fields_attrs=fields_attrs)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 631, in __parse_fields
    views = get_views(relation, widget, view_ids, mode)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 601, in get_views
    view = Relationfields_view_get(view_id=view_id)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 380, in fields_view_get
    tree, result['type'], result['field_childs'], level=level)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelviewpy", line 551, in parse_view
    fields2 = clsfields_get(list(fields_defkeys()), level=level)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelpy", line 204, in fields_get
    relation_fields = Relationfields_get(level=level - 1)
  File "/opt/api50/lib/python37/site-packages/trytond/model/modelpy", line 191, in fields_get
    definition[fname] = fielddefinition(cls, language)
  File "/opt/api50/lib/python37/site-packages/trytond/model/fields/one2manypy", line 373, in definition
    definition = super()definition(model, language)
  File "/opt/api50/lib/python37/site-packages/trytond/model/fields/fieldpy", line 478, in definition
    field = target_fields[name]
KeyError: 'line'

Any help will thank you.

[0] Migration from 5.8 to 6.0 - #3 by herrdeh

It seems you have a custom module that adds a line field which does not exist anymore.

1 Like